Bug 250753 - Incorrect license file
Incorrect license file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 10:26 EDT by Jonathan Underwood
Modified: 2009-09-21 16:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.2-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 17:44:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2007-08-03 10:26:49 EDT
Description of problem:
The COPYING file included with the package should be the GPL v2 file for
consistency with License.txt. Currently it is the LGPL. Please update the
package to the 0.2 release which fixes this problem.

Version-Release number of selected component (if applicable):
liberation-fonts-0.1-9.fc7

See thread here for more details.

https://www.redhat.com/archives/fedora-maintainers/2007-August/msg00030.html
Comment 1 Caius Chance 2007-08-07 21:49:29 EDT
Currently liberation-fonts-0.1-9.fc7 has liberation-fonts-ttf-2.tar.gz which
this problem doesn't exist.

Change status to: CLOSED WORKSFORME.
Comment 2 Jonathan Underwood 2007-08-08 08:12:39 EDT
No, you're missing the point. Let me spell it out:

$ rpm -qa | grep liberation
liberation-fonts-0.1-9.fc7

$ cat /usr/share/doc/liberation-fonts-0.1/COPYING

                  GNU LIBRARY GENERAL PUBLIC LICENSE
                       Version 2, June 1991

 Copyright (C) 1991 Free Software Foundation, Inc.
                    59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
[rest ommitted]

$ cat /usr/share/doc/liberation-fonts-0.1/License.txt
LICENSE AGREEMENT AND LIMITED PRODUCT WARRANTY
LIBERATION FONT SOFTWARE

This agreement governs the use of the Software and any updates to the Software,
regardless of the delivery mechanism. Subject to the following terms, Red Hat,
Inc. ("Red Hat") grants to the user ("Client") a license to this work pursuant
to the GNU General Public License v.2 with the exceptions set forth below and
such other terms as our set forth in this End User License Agreement.


License.txt refers to GPL v2. COPYING is LGPL v2. Inconsistent. 
Comment 3 Caius Chance 2007-08-21 00:44:12 EDT
Updated source to liberation-fonts-ttf-3.tar.gz

Tested, built, pushed to testing.

Pending for pushing to stable after 3-5 days.
Comment 4 Jens Petersen 2007-08-22 04:04:21 EDT
Please push an update for F7 too when you have time.
Comment 5 Jens Petersen 2007-08-22 04:40:25 EDT
Sorry above was referring to an F7 update.
Comment 7 Fedora Update System 2007-08-24 01:30:36 EDT
liberation-fonts-0.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Caius Chance 2007-08-24 02:53:20 EDT
Requested push to F7 update stable repo.
Comment 9 Fedora Update System 2007-08-27 17:44:35 EDT
liberation-fonts-0.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.